
/v4/creators/{creator}/opportunities/count
Returns the total count of opportunities for a specific creator
Path parameters
creatorstringQuery parameters
namestringFilter by name
searchstringSearch amongst multiple values (token, protocols, tags, campaigns)
chainIdstringA comma separated list of chain ids. Example: ?chainId=1,42161
You can get the list of all supported chains by calling GET /v4/chains
actionstringA comma seprated list actions. Legal values are: POOL, HOLD, DROP, LEND, BORROW, LONG, SHORT, SWAP, INVALID, STAKE
tokenTypesenum[]Filter by token type. Use POINT to include point campaigns and PRETGE to include preTGE campaigns. By default every token is returned.
TOKENPRETGEPOINTtypestringA comma separated list of Opportunity type
testbooleandefault: falseInclude opportunities with test campaigns
minimumTvlnumberMinimum TVL threshold in USD
maximumTvlnumberMaximum TVL threshold in USD
minimumAprnumberMinimum APR threshold
maximumAprnumberMaximum APR threshold
minimumDailyRewardsnumberMinimum daily rewards threshold in USD
maximumDailyRewardsnumberMaximum daily rewards threshold in USD
minimumCreatedAtnumberFilter opportunities whose last campaign was created at or after this Unix timestamp (seconds)
maximumCreatedAtnumberFilter opportunities whose last campaign was created at or before this Unix timestamp (seconds)
statusstringA comma separeted list of status. Legal values are: LIVE, PAST, SOON
identifierstringFilter by opportunity identifier (a.k.a. mainParameter). Free-form string, often a pool/vault/market address (e.g. 0x35Cbe8542E70fa2f7F9cDF129F19e593F4b4f560) or an arbitrary on-chain hash for non-address opportunities. NOT a campaign ID. See ID types.
idstringA comma-separated list of internal opportunity IDs (Opportunity.id, numeric hash). Example: ?id=5877322385708089533,1234567890. NOT campaign IDs. See ID types.
tokensstringA comma separated list of token symbol. Use to filter by token
stablecoinbooleandefault: falseFilter opportunities that include at least one stablecoin token
rewardTokenSymbolstringFilter by opportunity that have at least 1 campaigns where the reward token has this symbol
sortstringSort by opportunity fields or creatorCampaignsEndingSoon (creator's earliest active campaign end)
orderstringdefault: descasc to sort in ascending order or desc to sort in descending order.
distributionTypesenum[]FIX_REWARDMAX_REWARDDUTCH_AUCTIONTOTAL_APRmainProtocolIdstringA comma-separated list of protocol slugs (e.g. aave,morpho,uniswap). NOT numeric IDs. List slugs at GET /v4/protocols. See ID types.
programSlugsstringA comma separated list of program ids or slugs. You can get the list of all supported programs by calling GET /v4/programs
chainNamestringA comma separated list of chain names. Example: ?chainName=ethereum,arbitrum
explorerAddressstringFilter by on-chain pool/vault/market address (20-byte EVM address, e.g. 0x35Cbe8542E70fa2f7F9cDF129F19e593F4b4f560). Often the most reliable way to look up an opportunity if you only know the underlying contract. See ID types.
campaignTypesstringA comma separated list of CampaignType enum numeric values. Example: ?campaignTypes=18,19
https://api.merkl.xyz/v4/creators//opportunities/count?test=&stablecoin=&order=curl -X GET "https://api.merkl.xyz/v4/creators/0x88888887C3ebD4a33E34a15Db4254C74C75E5D4A/opportunities/count?test=false&stablecoin=false&order=desc"